Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

ImageMagick 6.6.9-4

  • Loading branch information...
commit 68e22792e42a18de3245de89394de133125d15c4 1 parent 5f8c7f7
@adamv adamv authored
Showing with 3 additions and 19 deletions.
  1. +3 −19 Library/Formula/imagemagick.rb
View
22 Library/Formula/imagemagick.rb
@@ -25,12 +25,6 @@ def magick_plus_plus?
ARGV.include? '--with-magick-plus-plus'
end
-def x11?
- # I used this file because old Xcode seems to lack it, and its that old
- # Xcode that loads of people seem to have installed still
- File.file? '/usr/X11/include/ft2build.h'
-end
-
class Imagemagick < Formula
# Using an unofficial Git mirror to work around:
# * Stable tarballs disappearing
@@ -38,15 +32,14 @@ class Imagemagick < Formula
# Send update requests to https://github.com/adamv/ImageMagick
# Be sure to include the ImageMagick SVN revision # for the new version.
url 'git://github.com/adamv/ImageMagick.git',
- :ref => 'fdb125591a17a4002798742014118d5cfee44394'
- version '6.6.7-10'
+ :tag => '6.6.9-4'
+ version '6.6.9-4'
homepage 'http://www.imagemagick.org'
head 'git://github.com/adamv/ImageMagick.git'
depends_on 'jpeg'
- depends_on 'libpng' unless x11?
- depends_on 'ghostscript' => :recommended if ghostscript_srsly? and x11?
+ depends_on 'ghostscript' => :recommended if ghostscript_srsly?
depends_on 'libtiff' => :optional
depends_on 'little-cms' => :optional
@@ -91,9 +84,6 @@ def install
inreplace 'configure', '${PACKAGE_NAME}-${PACKAGE_VERSION}', '${PACKAGE_NAME}'
system "./configure", *args
system "make install"
-
- # We already copy these into the keg root
- %w[NEWS.txt LICENSE ChangeLog].each {|f| (share+"ImageMagick/#{f}").unlink}
end
def caveats
@@ -103,12 +93,6 @@ def caveats
* Bad https cert on official SVN repo
EOS
- unless x11?
- s += <<-EOS.undent
- You don't have X11 from the Xcode DMG installed. Consequently Imagemagick is less fully featured.
-
- EOS
- end
unless ghostscript_fonts? or ghostscript_srsly?
s += <<-EOS.undent
Some tools will complain if the ghostscript fonts are not installed in:
Please sign in to comment.
Something went wrong with that request. Please try again.